Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class AttCertIssuer

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.x509.AttCertIssuer

All Implemented Interfaces:
  DEREncodable

public class AttCertIssuer
extends ASN1Encodable

Constructor Summary
`AttCertIssuer(GeneralNames names)` Don't use this one if you are trying to be RFC compliant.
`AttCertIssuer(V2Form v2Form)`

Method Summary
`static AttCertIssuer` | `getInstance(java.lang.Object obj)`
`ASN1Encodable` | `getIssuer()`
`DERObject` | `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttCertIssuer

    public AttCertIssuer(GeneralNames names)

  Don't use this one if you are trying to be RFC compliant.

Parameters:
  `names` - our GeneralNames structure

### AttCertIssuer

    public AttCertIssuer(V2Form v2Form)

Method Detail

### getInstance

    public static AttCertIssuer getInstance(java.lang.Object obj)

### getIssuer

    public ASN1Encodable getIssuer()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

        AttCertIssuer ::= CHOICE {
             v1Form   GeneralNames,  -- MUST NOT be used in this
                                     -- profile
             v2Form   [0] V2Form     -- v2 only
        }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD